%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		aisleriot
Summary:	A compilation of solitaire card games
Version:	3.22.34
Release:	%mkrel 1
Group:		Games/Cards
License:	GPLv3+
Url:		https://wiki.gnome.org/Apps/Aisleriot
Source0:	https://gitlab.gnome.org/GNOME/aisleriot/-/archive/%{version}/aisleriot-%{version}.tar.gz
BuildRequires:	meson
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(guile-3.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	intltool
BuildRequires:	yelp-tools
BuildRequires:	itstool
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-dtds
BuildRequires:	gnome-common
BuildRequires:	appdata-tools
# For help
Requires:	yelp
# For solitaire (mga#25086)
Requires:	PySolFC-cardsets

%description
Aisleriot (also known as Solitaire or sol) is a collection of card games
which are easy to play with the aid of a mouse. The rules for the games
have been coded for your pleasure in the GNOME scripting language (Scheme).

%prep
%autosetup -p1

%build
%meson \
 -Dtheme_pysol=true \
 -Dtheme_pysol_path=%{_datadir}/PySolFC \
 -Dtheme_kde=true \
 -Dtheme_kde_path=%{_datadir}/carddecks/
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/sol
%{_libdir}/%{name}/
%{_libexecdir}/%{name}/
%{_libdir}/valgrind/%{name}.supp
%{_datadir}/applications/sol.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Patience.WindowState.gschema.xml
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man6/sol*
%{_datadir}/%{name}/
%{_metainfodir}/sol.metainfo.xml


%changelog
* Sun Nov 10 2024 daviddavid <daviddavid> 3.22.34-1.mga10
+ Revision: 2113456
- new version: 3.22.34

* Sun Mar 10 2024 daviddavid <daviddavid> 3.22.30-1.mga10
+ Revision: 2048954
- new version: 3.22.30

* Tue Apr 25 2023 daviddavid <daviddavid> 3.22.29-1.mga9
+ Revision: 1954863
- new version 3.22.29

* Mon Apr 04 2022 umeabot <umeabot> 3.22.21-2.mga9
+ Revision: 1844043
- Mageia 9 Mass Rebuild

* Sat Apr 02 2022 wally <wally> 3.22.21-1.mga9
+ Revision: 1840815
- new version 3.22.21

* Fri Jan 07 2022 wally <wally> 3.22.20-1.mga9
+ Revision: 1767169
- new version 3.22.20

* Mon Nov 08 2021 wally <wally> 3.22.19-1.mga9
+ Revision: 1754752
- new version 3.22.19

* Sat Aug 28 2021 wally <wally> 3.22.17-1.mga9
+ Revision: 1743282
- new version 3.22.17

* Fri Nov 27 2020 tmb <tmb> 3.22.9-7.mga8
+ Revision: 1649784
- rebuild for missing signatures

* Sat Nov 21 2020 wally <wally> 3.22.9-6.mga8
+ Revision: 1648061
- build with guile 3.0

* Sat Nov 07 2020 wally <wally> 3.22.9-5.mga8
+ Revision: 1643469
- rebuild after guile2.0 fork
- update url

* Sun Feb 16 2020 umeabot <umeabot> 3.22.9-4.mga8
+ Revision: 1534572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Oct 05 2019 daviddavid <daviddavid> 3.22.9-3.mga8
+ Revision: 1449425
- disable kde card theme format support (mga#18786#c4)

* Tue Sep 17 2019 zezinho <zezinho> 3.22.9-2.mga8
+ Revision: 1443165
- aisleriot requires also PySolFC-cardsets mga#25086

* Mon Sep 09 2019 ovitters <ovitters> 3.22.9-1.mga8
+ Revision: 1439062
- new version 3.22.9

* Fri Mar 29 2019 umeabot <umeabot> 3.22.8-2.mga7
+ Revision: 1381209
- Qt5 Rebuild

* Mon Mar 11 2019 ovitters <ovitters> 3.22.8-1.mga7
+ Revision: 1374372
- new version 3.22.8

* Mon Mar 11 2019 wally <wally> 3.22.7-2.mga7
+ Revision: 1374169
- build without gconf
  NOTE! Old statistics and preferences are lost

* Mon Oct 22 2018 ovitters <ovitters> 3.22.7-1.mga7
+ Revision: 1323948
- new version 3.22.7

* Fri Sep 21 2018 umeabot <umeabot> 3.22.6-2.mga7
+ Revision: 1294234
- Mageia 7 Mass Rebuild

* Sun Sep 02 2018 ovitters <ovitters> 3.22.6-1.mga7
+ Revision: 1256231
- new version 3.22.6

* Mon Mar 12 2018 ovitters <ovitters> 3.22.5-1.mga7
+ Revision: 1208697
- new version 3.22.5

* Mon Oct 30 2017 ovitters <ovitters> 3.22.4-1.mga7
+ Revision: 1175073
- new version 3.22.4

* Mon Sep 11 2017 ovitters <ovitters> 3.22.3-1.mga7
+ Revision: 1152999
- new version 3.22.3

* Tue Aug 22 2017 ovitters <ovitters> 3.22.2-1.mga7
+ Revision: 1143220
+ rebuild (emptylog)

* Sat May 13 2017 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1100794
- new version 3.22.2

* Mon Nov 07 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1065679
- new version 3.22.1
- dropped merged patch 2

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055879
- add patch to fix po
- new version 3.22.0

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011705
- new version 3.20.2

* Sun Mar 20 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 993345
- new version 3.20.1

* Sat Mar 19 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993002
- new version 3.20.0
- dropped merged patch 2

* Sat Feb 13 2016 umeabot <umeabot> 3.18.2-3.mga6
+ Revision: 959480
- Mageia 6 Mass Rebuild

* Fri Dec 04 2015 pterjan <pterjan> 3.18.2-2.mga6
+ Revision: 908177
- Fix build on arm

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900104
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890033
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883084
- new release

* Wed Aug 26 2015 wally <wally> 3.17.90-1.mga6
+ Revision: 869751
- new version 3.17.90

* Sun Jul 05 2015 wally <wally> 3.16.2-1.mga6
+ Revision: 851272
- add patch to fix linking
+ ovitters <ovitters>
- new version 3.16.2

* Tue Feb 17 2015 wally <wally> 3.14.2-2.mga5
+ Revision: 815327
- require yelp for showing help

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796304
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 745235
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738329
- new version 3.14.1

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731074
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.90-2.mga5
+ Revision: 677725
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666728
- new version 3.13.90

* Mon May 12 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 622306
- new version 3.12.1

* Tue Mar 25 2014 dams <dams> 3.12.0-1.mga5
+ Revision: 608495
- new version 3.12.0

* Sun Feb 16 2014 wally <wally> 3.10.2-2.mga5
+ Revision: 592638
- add upstream patch to fix build with latest yelp-tools

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550606
- new version 3.10.2

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550142
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542437
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497568
- new version 3.10.1

* Wed Sep 25 2013 dams <dams> 3.10.0-1.mga4
+ Revision: 485924
- rediff patch
- new version 3.10.0

* Sun Jul 28 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 459708
- new version 3.9.90

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427700
- drop merged patch
- new version 3.8.0

* Sun Feb 03 2013 wally <wally> 3.6.2-5.mga3
+ Revision: 394277
- add patch from upstream git to add unlimited redeals option to klondike

* Sun Feb 03 2013 wally <wally> 3.6.2-4.mga3
+ Revision: 394256
- remove setuid bit (mga#8778)
- enable Werror flags

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-3.mga3
+ Revision: 345357
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 pterjan <pterjan> 3.6.2-2.mga3
+ Revision: 337863
- Fix for _libdir != _libexecdir

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317418
- new version 3.6.2

* Tue Oct 16 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 307181
- new version 3.6.1

* Sun Sep 30 2012 shlomif <shlomif> 3.6.0-2.mga3
+ Revision: 300678
- Move to a more appropriate group

* Tue Sep 25 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297413
- new version 3.6.0

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282610
- update file list
- drop merged patch
-new version 3.5.90

* Thu Jun 28 2012 wally <wally> 3.5.0-1.mga3
+ Revision: 264681
- add patch from upstream git to fix build
+ ovitters <ovitters>
- new version 3.5.0

* Thu Apr 19 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231817
- update buildrequires
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0.1-1.mga2
+ Revision: 226838
- new version 3.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226632
- new version 3.4.0

* Thu Mar 22 2012 pterjan <pterjan> 3.3.2-1.mga2
+ Revision: 225605
- BuildRequire gettext-devel
- Add valgrind suppression to file list
- Fix build of help translations by only listing translated languages
+ tv <tv>
- add more BR
+ fwang <fwang>
- try verbose build
- new version 3.3.2

* Wed Dec 28 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 188406
- new version 3.3.1
- bump guile dep

* Mon Nov 21 2011 wally <wally> 3.3.0-1.mga2
+ Revision: 170467
- new version 3.3.0

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167780
- new version 3.2.2

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155711
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148639
- new version 3.2.0

* Mon Sep 19 2011 fwang <fwang> 3.1.92-2.mga2
+ Revision: 145272
- build with latest find_lang

* Mon Sep 19 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145257
- update file list
- update file list
- update br
- new version 3.1.92
+ wally <wally>
- new version 3.1.1

* Wed Jul 06 2011 wally <wally> 3.1.0-1.mga2
+ Revision: 119472
- imported package aisleriot

